package com.easy.cms.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.easy.base.CrudDao;
import com.easy.cms.obj.Data;
import com.easy.cms.obj.Subject;

public interface DataDao extends CrudDao<Data> {

	List<Data> findLimit(Data entity);

	Data findOne(Data entity);

	void updateState(Data entity);

	void updateSubjectCode(@Param("tableName") String tableName, @Param("newSubjectCode") String newSubjectCode,
			@Param("oldSubjectCode") String oldSubjectCode);
	
	void deleteBy(Subject subject);
}
